using ATC_MaterialBind.Entity;
using SlnMesnac.Plc;
using SlnMesnac.WPF.Attribute;
using SlnMesnac.WPF.ViewModel.IndexPage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Automation.Peers;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.IndexPage
{
    /// <summary>
    /// MaterialBind.xaml 的交互逻辑
    /// </summary>
    [RegisterAsSingletonAttribute]
    public partial class MaterialBind : UserControl
    {
        IndexContentViewModel indexContentViewModel;
        public MaterialBind()
        {
            InitializeComponent();
            indexContentViewModel = new IndexContentViewModel();
            indexContentViewModel._Action += RefreshStationQuallity;
            this.DataContext = indexContentViewModel;
            //load();
        }

        private void RefreshStationQuallity(List<StationQualityInfo> stationQualityInfos)
        {
            Application.Current.Dispatcher.Invoke(new Action(() =>
            {
                stackpanel1.Children.Clear();
                if (stationQualityInfos != null && stationQualityInfos.Count > 0)
                {
                    List<UIElement> buttons = new List<UIElement>();
                    foreach (var item in stationQualityInfos)
                    {
                        buttons.Add(new Button { FontSize = 20, Background = item.State == "1" ? Brushes.Lime : Brushes.Red, Height = 50, Content = item.StationName });
                    }

                    foreach (UIElement button in buttons)
                    {
                        stackpanel1.Children.Add(button);
                    }
                }
                else {
                    stackpanel1.Children.Remove(this);
                }

            }));
           
        }

        //在载入行的时候在行表头添加编号	
        private void dgv_LoadingRow(object sender, DataGridRowEventArgs e)
        {
            e.Row.Header = (e.Row.GetIndex() + 1).ToString();
        }

    }
}
